Update web app settings
curl --request PATCH \
--url https://app.zenedu.io/api/v1/bot/{bot}/web/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"brand_name": "<string>",
"open_button_name": "<string>",
"brand_color": "<string>",
"disable_branding": true,
"show_bot_products": true,
"support_text": "<string>",
"phone_login_enabled": true
}
'import requests
url = "https://app.zenedu.io/api/v1/bot/{bot}/web/settings"
payload = {
"brand_name": "<string>",
"open_button_name": "<string>",
"brand_color": "<string>",
"disable_branding": True,
"show_bot_products": True,
"support_text": "<string>",
"phone_login_enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
brand_name: '<string>',
open_button_name: '<string>',
brand_color: '<string>',
disable_branding: true,
show_bot_products: true,
support_text: '<string>',
phone_login_enabled: true
})
};
fetch('https://app.zenedu.io/api/v1/bot/{bot}/web/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.zenedu.io/api/v1/bot/{bot}/web/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'brand_name' => '<string>',
'open_button_name' => '<string>',
'brand_color' => '<string>',
'disable_branding' => true,
'show_bot_products' => true,
'support_text' => '<string>',
'phone_login_enabled' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.zenedu.io/api/v1/bot/{bot}/web/settings"
payload := strings.NewReader("{\n \"brand_name\": \"<string>\",\n \"open_button_name\": \"<string>\",\n \"brand_color\": \"<string>\",\n \"disable_branding\": true,\n \"show_bot_products\": true,\n \"support_text\": \"<string>\",\n \"phone_login_enabled\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app.zenedu.io/api/v1/bot/{bot}/web/settings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"brand_name\": \"<string>\",\n \"open_button_name\": \"<string>\",\n \"brand_color\": \"<string>\",\n \"disable_branding\": true,\n \"show_bot_products\": true,\n \"support_text\": \"<string>\",\n \"phone_login_enabled\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.zenedu.io/api/v1/bot/{bot}/web/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"brand_name\": \"<string>\",\n \"open_button_name\": \"<string>\",\n \"brand_color\": \"<string>\",\n \"disable_branding\": true,\n \"show_bot_products\": true,\n \"support_text\": \"<string>\",\n \"phone_login_enabled\": true\n}"
response = http.request(request)
puts response.read_body{
"data": {
"platform": "miniApp",
"is_published": true,
"has_changes": true,
"app_url": "<string>",
"settings": {
"brand_name": "<string>",
"open_button_name": "<string>",
"appearance": "system",
"brand_color": "<string>",
"disable_branding": true,
"show_bot_products": true,
"support_type": "bot",
"support_text": "<string>",
"phone_login_enabled": true
},
"logo_url": "<string>",
"menu": [
{
"id": 123,
"type": "<string>",
"title": "<string>",
"icon": "<string>",
"url": "<string>",
"sort": 123
}
],
"profile": [
{
"id": 123,
"type": "<string>",
"title": "<string>",
"icon": "<string>",
"url": "<string>",
"sort": 123
}
],
"onboarding": [
{
"id": 123,
"title": "<string>",
"subtitle": "<string>",
"button_title": "<string>",
"image_url": "<string>",
"sort": 123
}
],
"favicon_url": "<string>",
"address": {
"web_handle": "<string>",
"custom_domain": "<string>",
"custom_domain_enabled": true
}
},
"first_publication": true
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}Веб-платформа
Оновити налаштування
Оновлює налаштування чернетки веб-платформи.
PATCH
/
api
/
v1
/
bot
/
{bot}
/
web
/
settings
Update web app settings
curl --request PATCH \
--url https://app.zenedu.io/api/v1/bot/{bot}/web/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"brand_name": "<string>",
"open_button_name": "<string>",
"brand_color": "<string>",
"disable_branding": true,
"show_bot_products": true,
"support_text": "<string>",
"phone_login_enabled": true
}
'import requests
url = "https://app.zenedu.io/api/v1/bot/{bot}/web/settings"
payload = {
"brand_name": "<string>",
"open_button_name": "<string>",
"brand_color": "<string>",
"disable_branding": True,
"show_bot_products": True,
"support_text": "<string>",
"phone_login_enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
brand_name: '<string>',
open_button_name: '<string>',
brand_color: '<string>',
disable_branding: true,
show_bot_products: true,
support_text: '<string>',
phone_login_enabled: true
})
};
fetch('https://app.zenedu.io/api/v1/bot/{bot}/web/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.zenedu.io/api/v1/bot/{bot}/web/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'brand_name' => '<string>',
'open_button_name' => '<string>',
'brand_color' => '<string>',
'disable_branding' => true,
'show_bot_products' => true,
'support_text' => '<string>',
'phone_login_enabled' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.zenedu.io/api/v1/bot/{bot}/web/settings"
payload := strings.NewReader("{\n \"brand_name\": \"<string>\",\n \"open_button_name\": \"<string>\",\n \"brand_color\": \"<string>\",\n \"disable_branding\": true,\n \"show_bot_products\": true,\n \"support_text\": \"<string>\",\n \"phone_login_enabled\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app.zenedu.io/api/v1/bot/{bot}/web/settings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"brand_name\": \"<string>\",\n \"open_button_name\": \"<string>\",\n \"brand_color\": \"<string>\",\n \"disable_branding\": true,\n \"show_bot_products\": true,\n \"support_text\": \"<string>\",\n \"phone_login_enabled\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.zenedu.io/api/v1/bot/{bot}/web/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"brand_name\": \"<string>\",\n \"open_button_name\": \"<string>\",\n \"brand_color\": \"<string>\",\n \"disable_branding\": true,\n \"show_bot_products\": true,\n \"support_text\": \"<string>\",\n \"phone_login_enabled\": true\n}"
response = http.request(request)
puts response.read_body{
"data": {
"platform": "miniApp",
"is_published": true,
"has_changes": true,
"app_url": "<string>",
"settings": {
"brand_name": "<string>",
"open_button_name": "<string>",
"appearance": "system",
"brand_color": "<string>",
"disable_branding": true,
"show_bot_products": true,
"support_type": "bot",
"support_text": "<string>",
"phone_login_enabled": true
},
"logo_url": "<string>",
"menu": [
{
"id": 123,
"type": "<string>",
"title": "<string>",
"icon": "<string>",
"url": "<string>",
"sort": 123
}
],
"profile": [
{
"id": 123,
"type": "<string>",
"title": "<string>",
"icon": "<string>",
"url": "<string>",
"sort": 123
}
],
"onboarding": [
{
"id": 123,
"title": "<string>",
"subtitle": "<string>",
"button_title": "<string>",
"image_url": "<string>",
"sort": 123
}
],
"favicon_url": "<string>",
"address": {
"web_handle": "<string>",
"custom_domain": "<string>",
"custom_domain_enabled": true
}
},
"first_publication": true
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}Авторизації
API token from the Zenedu dashboard
Параметри шляху
Bot ID
Тіло
application/json
Maximum string length:
255Maximum string length:
255Доступні опції:
system, light, dark Hex color, e.g. #1A2B3C
Pattern:
^#[0-9A-Fa-f]{6}$Доступні опції:
bot, link Web only